> ## Documentation Index
> Fetch the complete documentation index at: https://wiz-myvocal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Info

> This endpoint gets or creates a new user.

### Header

<ParamField header="accessKey" type="string" required>
  You can copy your api-key on [https://www.myvocal.ai/profile](https://www.myvocal.ai/profile) after you have subscribed to Pro or Business Plan.
</ParamField>

### Response

<ResponseField name="code" type="number">
  Indicates whether the call was successful. 1 if successful.
</ResponseField>

<ResponseField name="message" type="string">
  When an exception occurs, specific exception information will be provided in the message.
</ResponseField>

<ResponseField name="data" type="object">
  Includes specific data.

  <Expandable title="Toggle object">
    <ResponseField name="plan" type="string">
      Your current subscription plan.
    </ResponseField>

    <ResponseField name="status" type="string">
      <div>Your current subscription status:</div>
      <div>If you haven't cancel your subsciption, the status will be "active", </div>
      <div>If you have cancelled your subcription, the status will be "cancellation upon expiration" before the subscription expired.</div>
    </ResponseField>

    <ResponseField name="resetInDays" type="number">
      <div>If you haven't cancelled your subscription, this parameter means the countdown days for your plan benefits to be updated.</div>
      <div>If you have cancelled your subscription, this parameter means the countdown days for your plan to be downgraded to a free user.</div>
    </ResponseField>

    <ResponseField name="benefit" type="object">
      <Expandable title="Toggle object">
        <ResponseField name="usedVoices" type="number">
          The number of custom voices you created through the website or API.
        </ResponseField>

        <ResponseField name="totalVoices" type="number">
          The maximum number of custom voices you can create with your subscription plan.
        </ResponseField>

        <ResponseField name="usedMonthlyChars" type="number">
          The number of TTS characters you have used  within your subscription plan.
        </ResponseField>

        <ResponseField name="totalMonthlyChars" type="number">
          The maximum number of TTS characters within your subscription plan.
        </ResponseField>

        <ResponseField name="usedOrderChars" type="number">
          The number of TTS characters you have used without your subscription plan.
        </ResponseField>

        <ResponseField name="totalOrderChars" type="number">
          The number of TTS characters you have purchased without your subscription plan.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location 'https://api.myvocal.ai/sound_clone/api/v1/user/info' \
  --header 'accessKey: xxxx'
  ```
</RequestExample>

<ResponseExample>
  ```json 200（success） theme={null}
  {
      "code": 1,
      "message": "Success",
      "data": {
          "plan": "Business",
          "status": "active",
          "resetInDays": 2,
          "benefit": {
              "usedVoices": 146,
              "totalVoices": 150,
              "usedMonthlyChars": 3498604,
              "totalMonthlyChars": 3500000,
              "usedOrderChars": 0,
              "totalOrderChars": 0
          }
      }
  }
  ```

  ```json 200（fail） theme={null}
  {
    "code": -1,
    "message": "error msg",
  }
  ```
</ResponseExample>
